<!DOCTYPE html>
<html>
<head>
	<title>
	</title>
	<script type="text/javascript">
	var array = ['When ', 'the ', 'going ', 'gets ', 'tough ', 'the ', 'tough ', 'going.'];
	var changed_array = array.join('');
	var element = ' get ';
	var insert = prompt('Enter number from 0 till 7 for position of word "' + element + '" to compile the popular proverb "' + changed_array + '". 0 is position before word "When". Try to guess right order.');

	if (insert == '') {
        document.write('You entered no number. Try again.');
        }

    else if (insert == null) {
        document.write('Cancel');
        }

    else if (insert == ' ') {
        document.write('Error');
        }

    else if (insert<0 || insert>7){
        document.write('You entered number not from 0 till 7.')
        }

    else if (isNaN(insert)) {
	document.write('Value is not number');
	    }
	else if (insert == 7) {
        document.write('It is correct! "When the going gets tough, the tough get going".');
        }

    else {
    	for(var i = 0; i<array.length; i++) {
        if(insert == i) {
		array.splice(insert,0, element);
		var new_array = array.join('');
		document.write('Correct variant is "When the going gets tough, the tough get going", and your variant is: "' + new_array + '"');
		}
		}
	}
	</script>
</head>
<body>

</body>
</html>